<?php
/************************************************************************
 * Mailer v0.2.1-FINAL                                Start: 11/26/2008 *
 * ===================                          Last change: 11/26/2008 *
 *                                                                      *
 * -------------------------------------------------------------------- *
 * File              : booking_functions.php                            *
 * -------------------------------------------------------------------- *
 * Short description : Functions for booking extension                  *
 * -------------------------------------------------------------------- *
 * Kurzbeschreibung  : Funktionen fuer booking-Erweiterung              *
 * -------------------------------------------------------------------- *
 * $Revision::                                                        $ *
 * $Date::                                                            $ *
 * $Tag:: 0.2.1-FINAL                                                 $ *
 * $Author::                                                          $ *
 * -------------------------------------------------------------------- *
 * Copyright (c) 2003 - 2009 by Roland Haeder                           *
 * Copyright (c) 2009 - 2011 by Mailer Developer Team                   *
 * For more information visit: http://www.mxchange.org                  *
 *                                                                      *
 * This program is free software; you can redistribute it and/or modify *
 * it under the terms of the GNU General Public License as published by *
 * the Free Software Foundation; either version 2 of the License, or    *
 * (at your option) any later version.                                  *
 *                                                                      *
 * This program is distributed in the hope that it will be useful,      *
 * but WITHOUT ANY WARRANTY; without even the implied warranty of       *
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the        *
 * GNU General Public License for more details.                         *
 *                                                                      *
 * You should have received a copy of the GNU General Public License    *
 * along with this program; if not, write to the Free Software          *
 * Foundation, Inc., 51 Franklin St, Fifth Floor, Boston,               *
 * MA  02110-1301  USA                                                  *
 ************************************************************************/

// Some security stuff...
if (!defined('__SECURITY')) {
	die();
} // END - if

// Add a record entry ("mode" can be add/sub!)
function addBookingRecord ($subject, $userid, $points, $mode) {
	// Is the sql_patches updated?
	if (isExtensionOlder('sql_patches', '0.5.7')) {
		// Abort here
		return;
	} // END - if

	// Add record entry here
	SQL_QUERY_ESC("INSERT INTO `{?_MYSQL_PREFIX?}_user_book` (`userid`,`subject`,`mode`,`points`) VALUES(%s,'%s','%s',%s)",
		array($userid, $subject, $mode, $points), __FUNCTION__, __LINE__);
}

// Filter for adding booking record
function FILTER_ADD_BOOKING_RECORD ($data) {
	// Add a record
	addBookingRecord($data['subject'], $data['userid'], $data['points'], $data['mode']);

	// Return data
	return $data;
}

// [EOF]
?>
